/*
 * Copyright (c) 2022 Stefan Strobel <stefan.strobel@shimatta.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

/**
 * @file    shellmatta_auth.c
 * @brief   simple authentication method
 * @author  Stefan Strobel <stefan.strobel@shimatta.net>
 */

/**
 * @addtogroup shellmatta_auth
 * @{
 */
#ifndef _SHELLMATTA_AUTH_H_
#define _SHELLMATTA_AUTH_H_

#include "shellmatta.h"
#include <stdint.h>

/** @brief login command to enable a user to login */
extern const shellmatta_cmd_t shellmatta_auth_loginCmd;

/** @brief logout command */
extern const shellmatta_cmd_t shellmatta_auth_logoutCmd;


shellmatta_retCode_t shellmatta_auth_is_cmd_permitted(const shellmatta_instance_t   *inst,
                                                      shellmatta_cmd_t              *cmd);

#endif

/** @} */

